Bug 245873 - desktop file categories
desktop file categories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-rootpassword (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Pete Graner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-27 01:30 EDT by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 16:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (1.49 KB, patch)
2007-08-09 13:24 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2007-06-27 01:30:10 EDT
Currently, the menu files hardcode the menu positions of a lot of system-config 
utilities. It would be much nicer if they had appropriate categories in their
desktop files instead.

For system-config-rootpassword.desktop that would be

Categories=System;Settings;
Comment 1 Matthias Clasen 2007-08-09 13:24:58 EDT
Created attachment 160991 [details]
patch

Ping.
I'm attaching a patch for your convenience.
Please commit this yourself, or remove the acl so that I can do it myself.
Comment 2 Matthias Clasen 2007-08-17 10:48:52 EDT
If you remove the acl, I'll take care of this for you. Really.
Comment 3 Paul Nasrat 2007-08-17 11:04:51 EDT
Done - I'm going to orphan soon and look for a new upstream maintainer for this.
Comment 4 Red Hat Bugzilla 2007-08-21 01:35:02 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Matthias Clasen 2007-09-07 08:34:32 EDT
Ok, lets try again. 

Peter, this is really easy. Please make the desktop file have the categories

Categories=System;Settings;

to make it show up in the right menu without the manual overrides that we have
in the menu files right now. Alternatively, give me commit power, and I'll take
care of it for you.
Comment 6 Matthias Clasen 2007-09-16 16:58:10 EDT
Ping
Comment 7 Matthias Clasen 2007-09-18 11:39:50 EDT
Pete, can you give me acls on the package, then I'll build this trivial fix myself.
Comment 8 Pete Graner 2007-09-18 12:00:20 EDT
Sure, doing it now.
Comment 9 Pete Graner 2007-09-18 12:03:18 EDT
mclasen: I take that back, I don't have a way to add you, you have to request
then I can approve. I'll be looking for the request. 
Comment 10 Matthias Clasen 2007-09-18 12:24:04 EDT
ok, requested
Comment 11 Matthias Clasen 2007-09-18 16:04:33 EDT
Fixed in rawhide, thanks.

Note You need to log in before you can comment on or make changes to this bug.